path: /build/build/kubectl-sys-cluster-1.31.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-cluster/kubectl -pv -t && \
    emerge -j ${JOBS} --nodeps sys-cluster/kubectl
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kubectl && luet-portage --dir /pkgdir/kubectl
    sys-cluster/kubectl && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:861e13733ac9f3b41d3f0d465a372caf550393d003fb7bd4bdec58fe6133e452
  package:
    name: kubectl
    version: 1.31.1
    category: sys-cluster
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: CLI to run commands against Kubernetes clusters
    uri:
    - https://kubernetes.io
    license: Apache-2.0
    buildtimestamp: 2024-09-17 11:12:45.458028129 +0000 UTC m=+213.868976861
    labels:
      BDEPEND: '>=dev-lang/go-1.21 >=dev-lang/go-1.12 app-arch/unzip'
      DEPEND: '!sys-cluster/kubernetes'
      IUSE: hardened
      emerge.packages: sys-cluster/kubectl
      kit: core-kit
      original.package.name: sys-cluster/kubectl
      original.package.slot: "0"
      original.package.version: 1.31.1
    treedir: /build/packages
  package_dir: /pkgdir/kubectl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2e2925229fc7b50b79b37e6a41c01bd1fac0412d2174a853c8a9ab8a11605760
compressiontype: zstd
files:
- usr/bin/kubectl
- usr/share/bash-completion/completions/kubectl
- usr/share/zsh/site-functions/_kubectl
- var/db/pkg/sys-cluster/kubectl-1.31.1/BDEPEND
- var/db/pkg/sys-cluster/kubectl-1.31.1/BUILD_TIME
- var/db/pkg/sys-cluster/kubectl-1.31.1/CATEGORY
- var/db/pkg/sys-cluster/kubectl-1.31.1/CBUILD
- var/db/pkg/sys-cluster/kubectl-1.31.1/CFLAGS
- var/db/pkg/sys-cluster/kubectl-1.31.1/CHOST
- var/db/pkg/sys-cluster/kubectl-1.31.1/CONTENTS
- var/db/pkg/sys-cluster/kubectl-1.31.1/COUNTER
- var/db/pkg/sys-cluster/kubectl-1.31.1/CTARGET
- var/db/pkg/sys-cluster/kubectl-1.31.1/CXX
- var/db/pkg/sys-cluster/kubectl-1.31.1/CXXFLAGS
- var/db/pkg/sys-cluster/kubectl-1.31.1/DEFINED_PHASES
- var/db/pkg/sys-cluster/kubectl-1.31.1/DEPEND
- var/db/pkg/sys-cluster/kubectl-1.31.1/DESCRIPTION
- var/db/pkg/sys-cluster/kubectl-1.31.1/EAPI
- var/db/pkg/sys-cluster/kubectl-1.31.1/FEATURES
- var/db/pkg/sys-cluster/kubectl-1.31.1/HOMEPAGE
- var/db/pkg/sys-cluster/kubectl-1.31.1/INHERITED
- var/db/pkg/sys-cluster/kubectl-1.31.1/IUSE
- var/db/pkg/sys-cluster/kubectl-1.31.1/IUSE_EFFECTIVE
- var/db/pkg/sys-cluster/kubectl-1.31.1/KEYWORDS
- var/db/pkg/sys-cluster/kubectl-1.31.1/LDFLAGS
- var/db/pkg/sys-cluster/kubectl-1.31.1/LICENSE
- var/db/pkg/sys-cluster/kubectl-1.31.1/NEEDED
- var/db/pkg/sys-cluster/kubectl-1.31.1/NEEDED.ELF.2
- var/db/pkg/sys-cluster/kubectl-1.31.1/PF
- var/db/pkg/sys-cluster/kubectl-1.31.1/RESTRICT
- var/db/pkg/sys-cluster/kubectl-1.31.1/SIZE
- var/db/pkg/sys-cluster/kubectl-1.31.1/SLOT
- var/db/pkg/sys-cluster/kubectl-1.31.1/USE
- var/db/pkg/sys-cluster/kubectl-1.31.1/environment.bz2
- var/db/pkg/sys-cluster/kubectl-1.31.1/kubectl-1.31.1.ebuild
- var/db/pkg/sys-cluster/kubectl-1.31.1/repository
package_cacheimage: ""
runtime:
  name: kubectl
  version: 1.31.1
  category: sys-cluster
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: CLI to run commands against Kubernetes clusters
  uri:
  - https://kubernetes.io
  license: Apache-2.0
  labels:
    BDEPEND: '>=dev-lang/go-1.21 >=dev-lang/go-1.12 app-arch/unzip'
    DEPEND: '!sys-cluster/kubernetes'
    IUSE: hardened
    emerge.packages: sys-cluster/kubectl
    kit: core-kit
    original.package.name: sys-cluster/kubectl
    original.package.slot: "0"
    original.package.version: 1.31.1
